Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.serializer
Class ElemDesc

    java.lang.Object
      |
      +--org.apache.xml.serializer.ElemDesc

public final class ElemDesc
extends java.lang.Object

This class has a series of flags (bit values) that describe an HTML element

This class is not a public API. It is public because it is used outside of this package.

Usage:
  **For internal use only**

Field Summary
`static int` | `ATTREMPTY` Bit position if this attribute type is an empty type.
`static int` | `ATTRURL` Bit position if this attribute type is a URL.

Method Summary
`boolean` | `isAttrFlagSet(java.lang.String name, int flags)` Tell if any of the bits of interest are set for a named attribute type.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTRURL

    public static final int ATTRURL

  Bit position if this attribute type is a URL.

### ATTREMPTY

    public static final int ATTREMPTY

  Bit position if this attribute type is an empty type.

Method Detail

### isAttrFlagSet

    public boolean isAttrFlagSet(java.lang.String name,
                                 int flags)

  Tell if any of the bits of interest are set for a named attribute type.
  Parameters:
    `name` - non-null reference to attribute name, in any case.
    `flags` - flag mask.
  Returns:
    true if any of the flags are set for the named attribute.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.